{{- if eq .Values.nimService.existingAuthSecret "" }}
---
apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.nimService.authSecret }}
  labels:
    {{- include "nim.labels" . | nindent 4 }}
type: Opaque
data:
  NGC_API_KEY: {{ .Values.nimService.ngcAPIKey | b64enc }}
{{- end }}